Subject: Protocol Action: 'Using AES CCM Mode With IPsec ESP' to Proposed Standard

From: The IESG <[email-masked]>
Date: Thu, 05 Feb 2004 16:56:41 -0500

The IESG has approved the following document:

- 'Using AES CCM Mode With IPsec ESP '
   <draft-ietf-ipsec-ciph-aes-ccm-05.txt> as a Proposed Standard

This document is the product of the IP Security Protocol Working Group. 

The IESG contact persons are Steve Bellovin and Russ Housley.

This document describes how to use CCM encryption with IPsec's ESP.
CCM itself is described elswhere; however, a number of details must be 
provided to  use it, and in particular to use it securely.

There was considerable debate over two points: should CCM -- a variant on 
counter mode -- exist at all, due to security challenges posed by counter 
mode, and should the ESP sequence number be used as an initialization 
vector. Both items are discussed and resolved satisfactorily in the document

Steven M. Bellovin reviewed this document for the IESG.